Personas
GET
/api/v1/personas

List personas for the active workspace.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Query Parameters

skip?Skip
Default0
limit?Limit
Default100

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/personas"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "gender": "string",    "tts_provider": "string",    "tts_voice_id": "string",    "tts_voice_name": "string",    "is_custom": false,    "description": "string",    "tts_config": {},    "llm_temperature": 0,    "llm_max_tokens": 0,    "response_delay_ms": 0,    "max_turns": 0,    "allow_interruptions": true,    "background_noise_source": "none",    "background_noise_preset": "string",    "background_noise_volume": 0,    "background_noise_s3_key": "string",    "background_noise_asset_id": "394c477a-8fd7-40cd-99e3-97daf7352ccf",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }]

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!